﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Windows.Tiles;
using System.IO.IsolatedStorage;
using System.IO;

namespace xamTilesSaveLoad
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> coll { get; set; }
        String myLayout;

        public MainWindow()
        {
            InitializeComponent();
            coll = new ObservableCollection<Person>();
            coll.Add(new Person() { Id = 1, LastName = "Doe", Age = 30 });
            coll.Add(new Person() { Id = 2, LastName = "Doe", Age = 30 });
            coll.Add(new Person() { Id = 3, LastName = "Doe", Age = 30 });
            coll.Add(new Person() { Id = 4, LastName = "Smith", Age = 30 });

            this.DataContext = coll;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            myLayout =  this.xamTilesControl1.SaveLayout();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
           xamTilesControl1.LoadLayout(myLayout);
        }

       
    }

    public class Person : INotifyPropertyChanged
    {
        private int id;

        public int Id
        {
            get { return id; }
            set
            {
                id = value;
                NotifyPropertyChanged("Id");
            }
        }

        private int age;

        public int Age
        {
            get { return age; }
            set { age = value; NotifyPropertyChanged("Age"); }
        }

        private String lastName;

        public String LastName
        {
            get { return lastName; }
            set { lastName = value; NotifyPropertyChanged("LastName"); }
        }



        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
